Project

General

Profile

action #114875

[qem][qe-core]test fails in update_install - dependency issue / conflict in bind

Added by vsvecova 2 months ago. Updated about 2 months ago.

Status:
Rejected
Priority:
Normal
Assignee:
Category:
Bugs in existing tests
Target version:
-
Start date:
Due date:
% Done:

0%

Estimated time:
Difficulty:

Description

Observation

Dependency issue while installing bind:

the to be installed bind-9.16.20-150400.3.6.x86_64 requires 'libbind9-9.16.20.so()(64bit)', but this requirement cannot be provided

As consulted with Marcus Meissner: https://suse.slack.com/archives/C02CBB35W5B/p1659108103713239

Marcus Meissner
so the libbind9 is supposed to be inside bind package itself.

Marcus Meissner
ok, for some reason it tries to install bind-devel , which is inherited from a lower level codestream

Marcus Meissner
can you perhaps ignore bind-devel in openqa?

openQA test in scenario sle-15-SP4-Server-DVD-Incidents-Install-x86_64-qam-incidentinstall@64bit fails in
update_install

Test suite description

Testsuite maintained at https://gitlab.suse.de/qa-maintenance/qam-openqa-yml. Incident Installation TEST
MAX_JOB_TIME=9000 due to long texlive update

Reproducible

Fails since (at least) Build :24461:bind (current job)

Expected result

Last good: :25171:yaml-cpp (or more recent)

Further details

Always latest result in this scenario: latest

History

#1 Updated by vsvecova 2 months ago

  • Subject changed from [qem][qe-core]test fails in update_install to [qem][qe-core]test fails in update_install - dependency issue / conflict in bind

#2 Updated by mgrifalconi 2 months ago

  • Status changed from New to In Progress
  • Assignee set to mgrifalconi

Tried to remove bind-devel as suggested: no effect https://openqa.suse.de/tests/9247870#step/update_install/74

#3 Updated by mgrifalconi 2 months ago

  • Tags set to bugbusters
  • Start date deleted (2022-08-01)

#4 Updated by mgrifalconi about 2 months ago

  • Status changed from In Progress to Rejected

https://suse.slack.com/archives/C02CBB35W5B/p1659540392133219?thread_ts=1659108103.713239&cid=C02CBB35W5B

Citing Marcus:

i will try to fix the bind package, and add a missing provides bind-devel

So I would say, nothing to do on our side. It's up to maint. coordination to fix the update request

Also available in: Atom PDF